Name:          libao
Version:       1.2.0
Release:       5mamba
Summary:       A cross platform audio library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.xiph.org/ao/
Source:        http://downloads.xiph.org/releases/ao/libao-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libaudio-devel
BuildRequires: libXau-devel
## AUTOBUILDREQ-END
BuildRequires: libpulseaudio-devel >= 9.0-1mamba
BuildRequires: pkgconfig
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME:
# configure: WARNING: Broken OSS API workaround enabled.  See README for details.
# checking audio/audiolib.h presence... no -- see nas
#
# checking for polyplib-simple >= 0.6 -- see http://pulseaudio.org/

%description
Libao is a cross-platform audio library that allows programs to output audio using a simple API on a wide variety of platforms.
It currently supports:
 * Null output (handy for testing without a sound device)
 * WAV files
 * AU files
 * OSS (Open Sound System, used on Linux and FreeBSD
 * ALSA (Advanced Linux Sound Architecture)
 * polypaudio (next generation GNOME sound server)
 * esd (EsounD or Enlightened Sound Daemon)
 * AIX
 * Sun/NetBSD/OpenBSD
 * IRIX
 * NAS (Network Audio Server

%package devel
Summary:       Devel package for libao
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libao is a cross-platform audio library that allows programs to output audio using a simple API on a wide variety of platforms.
It currently supports:
 * Null output (handy for testing without a sound device)
 * WAV files
 * AU files
 * OSS (Open Sound System, used on Linux and FreeBSD
 * ALSA (Advanced Linux Sound Architecture)
 * polypaudio (next generation GNOME sound server)
 * esd (EsounD or Enlightened Sound Daemon)
 * AIX
 * Sun/NetBSD/OpenBSD
 * IRIX
 * NAS (Network Audio Server

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
## libao does not support alsa library 1.0
#CPPFLAGS="-DALSA_PCM_OLD_HW_PARAMS_API" \
%configure \
   --enable-broken-oss \
   --disable-arts \
   --disable-esd

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libao.so.*
%dir %{_libdir}/ao
%dir %{_libdir}/ao/plugins-4
%{_libdir}/ao/plugins-4/*
%dir %{_libdir}/ckport
%dir %{_libdir}/ckport/db
%{_libdir}/ckport/db/libao.ckport
%{_mandir}/man5/libao.conf.*

%files devel
%defattr(-,root,root)
%{_includedir}/ao
%{_libdir}/libao.la
%{_libdir}/libao.so
%{_libdir}/pkgconfig/ao.pc
%{_datadir}/aclocal/ao.m4
%{_datadir}/doc/libao-%{version}/*

%changelog
* Sat Jun 25 2016 Automatic Build System <autodist@mambasoft.it> 1.2.0-5mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=9.0-1mamba

* Sat Apr 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-4mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=8.0-1mamba

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-3mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=6.0-1mamba

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt with pulseaudio 4.0

* Sun Feb 02 2014 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sun Feb 27 2011 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic update by autodist

* Sat May 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- rebuilt without arts support

* Thu Apr 01 2010 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic update by autodist

* Thu Jul 26 2007 Aleph0 <aleph0@openmamba.org> 0.8.8-1mamba
- update to 0.8.8

* Tue Jan 23 2007 Aleph0 <aleph0@openmamba.org> 0.8.6-1qilnx
- update to version 0.8.6 by autospec
- this version support alsa 1.0 API: disabled compilation hack
- added build requirements for esd and xorg7

* Thu Mar 04 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.4-1qilnx
- first build
